Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.io
Class SCXMLDigester.ParseDataRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.digester.NodeCreateRule
              org.apache.commons.scxml.io.SCXMLDigester.ParseDataRule

Enclosing class:
  SCXMLDigester

public static class SCXMLDigester.ParseDataRule
extends org.apache.commons.digester.NodeCreateRule

Custom digestion rule for parsing bodies of <data> elements.

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SCXMLDigester.ParseDataRule(PathResolver pr)` Constructor.

Method Summary
`void` | `begin(String namespace, String name, Attributes attributes)`
`void` | `end(String namespace, String name)`

Methods inherited from class org.apache.commons.digester.NodeCreateRule
`end`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SCXMLDigester.ParseDataRule

    public SCXMLDigester.ParseDataRule(PathResolver pr)
                                throws ParserConfigurationException

  Constructor.

Parameters:
  `pr` - The `PathResolver`
Throws:
  `ParserConfigurationException` - A JAXP configuration error

Method Detail

### begin

    public final void begin(String namespace,
                            String name,
                            Attributes attributes)
                     throws Exception

  Throws:
    `Exception`
  See Also:
    `Rule.begin(String, String, Attributes)`

### end

    public final void end(String namespace,
                          String name)

  See Also:
    `Rule.end(String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.